/*****************************************************************************
 * Copyright (C) 1997-2007, Mark Hummel
 * This file is part of Vrq.
 *
 * Vrq is free software you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation either
 * version 2 of the License, or (at your option) any later version.
 *
 * Vrq is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 *****************************************************************************
 */
/******************************************************************************
 *
 *
 *	   plugin.h
 *		- generic header file for plugins.
 *		  Includes all relevent files.
 *
 ******************************************************************************
 */

#ifndef PLUGIN_H
#define PLUGIN_H

#include "glue.h"
#include "cattr.h"
#include "cbackend.h"
#include "cblock.h"
#include "cdecl.h"
#include "cfref.h"
#include "cfunction.h"
#include "cgate.h"
#include "cinstance.h"
#include "cmacro.h"
#include "cmodule.h"
#include "cnet.h"
#include "cnode.h"
#include "cobject.h"
#include "cobstack.h"
#include "cparam.h"
#include "cportdir.h"
#include "cport.h"
#include "cvar.h"
#include "cspecify.h"
#include "csymbol.h"
#include "csymtab.h"
#include "cuint.h"
#include "cvector.h"
#include "external.h"
#include "main.h"
#include "systask.h"
#include "compile.h"
#include "cgenvar.h"

#endif // PLUGIN_H
